- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# eos – Use eAPI to run command on eos platform

New in version 2.6.

- Synopsis

- Parameters

- Status

## Synopsis

- This eos plugin provides low level abstraction api’s for sending and receiving CLI commands with eos network devices.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
eos_use_sessions integer | Default: 1 | env:ANSIBLE_EOS_USE_SESSIONS var: ansible_eos_use_sessions | Specifies if sessions should be used on remote host or not

## Status

- This httpapi is not guaranteed to have a backwards compatible interface. [preview]

- This httpapi is maintained by the Ansible Community. [community]

### Authors

- Ansible Networking Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.